2

I'm using Unity Tweak to apply the Libra theme with Numix icon theme. But every time I boot up the Ubuntu I have to logout and login again for the themes to be applied.

I wonder what could be the problem? I'm using Ubuntu 14.04.2.

Update: The problem seems to be only with window decoration. The inner appearance of the windows are fine except the outer decoration. Also the icon problem seems to be only with the Unity Launcher. All the icons everywhere else are applied.

Update 2: I forgot to mention that I am using the v1.1 of the Libra theme which I have manually extracted to my /usr/share/theme and I must say that it actually works fine and I just need to logout and login again for it to kick in.

P.S. Is there anyway I can manually reload the theme manager? Just want to see if it fixes it without the need to logout.

  • the answer from Wilf seems to be a good explanation, some of the themes for example AFAIK Delorean Dark theme 3.12 completely works with Ubuntu 14.10 and up (GTK 3.12) but Delorean version 3.10 will cover all possible interfaces. Check at the Noobslab to see what themes and tools are needed to apply a theme on 14.04. – JoKeR Jul 3 '15 at 8:54
  • I forgot to mention that I am using the v1.1 of the Libra theme which I have manually extracted to my /usr/share/theme and I must say that it actually works fine and I just need to logout and login again for it to kick in. – Hamed Momeni Jul 3 '15 at 8:57
  • 1
    As I know on Unity I used Ubuntu tweak tool to apply themes which I installed from Noobslab and they applied asap. – JoKeR Jul 3 '15 at 8:58
4

The problem likely is that 14.04 (with GTK 3.10) is not listed as supported from that source - v1.1 says it is for 14.10 (with GTK 3.12), and v2.1 says it is for 15.04 (with GTK 3.14), which use newer (and different) versions of GTK. This page seems to be the extension's source, but seems to only lists the versions on the page you mentioned.

Those versions should still work to some extent (1.1 may work better than 2.1), but probably will have issues like the ones you are describing. Issues could also be caused by not having the needed GTK engines ('murrine' and 'pixbuf' in this case) installed.

However, you should be able to find a version of the theme that works from elsewhere - e.g. using the noobslab themes PPA as suggested here:

sudo add-apt-repository ppa:noobslab/themes
sudo apt-get update
sudo apt-get install libra-theme

You can also download the deb files from that PPA directly from here. The version for trusty may just be version 1.1 of the theme un-patched though, so using it directly from the extension's source or what you downloaded may produce similar results. Basically don't use the v2.1 theme.

  • Thanks for taking the time to help. I've updated the question with more details. – Hamed Momeni Jul 3 '15 at 8:43

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.